% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generate_qupath_script.R
\name{generate_qupath_script}
\alias{generate_qupath_script}
\title{Generate the groovy script used for the analysis}
\usage{
generate_qupath_script(output_dir = NULL)
}
\arguments{
\item{output_dir}{Directory where the script should be saved. If NULL, uses tempdir()}
}
\value{
Invisibly returns the path to the generated script file.
}
\description{
Generate a useful script to consistently save the output data from QuPath in .csv format following the naming conventions
followed during the package development.
}
\examples{
\dontrun{
  # Generate script in a temporary directory
  generate_qupath_script()

  # Generate script in a specific directory
  output_dir <- tempdir()
  generate_qupath_script(output_dir = output_dir)
}
}
